Subject: bug#2758: 23.0.60; Using Tab in gdb freezes emacs

From: Martin Puster <[email-masked]>
Date: Mon, 23 Mar 2009 21:56:51 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked]  
mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

##
My installation of emacs is standard macports-version (via sudo port  
install emacs-app-devel)
if I use the Tab-key in gdb, it freezes my emacs. It then does not  
react to any other keyboard input, while the menu is acessible,  
although i chosen commands (as the gdb-commands, or tools-commands or  
options) are not carried out after clicking on them. Anyway, I'm able  
to quit emacs using the menu, emacs even asks me if i want to kill  
running processes (gdb). The bug is reproduceable, it occurs even  
without any other files loaded, so the shortest way to reach it is:

M-x gdb , and then pressing Tab

But it occured also in "real life" situations, debugging a C-program.
The bug didnt occur in the emacs-app version 9.0rc3.

Please write 3 words if this report was any good, as it's my first  
one. And thx for your great deeds developing emacs!

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
     `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/MacPorts/Emacs.app/Contents/Resources/etc/DEBUG for  
instructions.

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
  of 2009-03-05 on zauberbuch
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--prefix=/opt/local' '--with-ns' 'CC=/ 
usr/bin/gcc-4.0' 'CFLAGS=-O2' 'LDFLAGS=-L/opt/local/lib' 'CPPFLAGS=-I/ 
opt/local/include' 'CPP=/usr/bin/cpp-4.0''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_AT.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
   desktop-save-mode: t
   global-linum-mode: t
   linum-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t
   view-mode: t